package com.sunxung.factoring.entity.businessmanagement;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.List;

/**
 * <p>
 * 业务管理 保证方式信息
 * </p>
 *
 * @author liutao
 * @since 2023-02-27
 */
@TableName("business_guarantee_mode")
public class BusinessGuaranteeMode extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 业务基本信息表Id
     */
    @TableField("business_basic_info_id")
    private Long businessBasicInfoId;

    /**
     *  投标文件 0线下装订 1线上上传
     */
    @TableField("tender_document")
    private Integer tenderDocument;

    /**
     *  投标保证方式 0保证金 1保函
     */
    @TableField("bid_guarantee_method")
    private Integer bidGuaranteeMethod;

    /**
     * 投标说明
     */
    @TableField("tender_description")
    private String tenderDescription;

    @TableField(exist = false)
    private String taskId;

    @TableField(exist = false)
    private Long businessKey;

    /**
     * 保函文件
     */
    @TableField(exist = false)
    private List<FileStorage> guaranteeFiles;

    /**
     *  中标通知书
     */
    @TableField(exist = false)
    private List<FileStorage> bidWinningNotice;

    public List<FileStorage> getGuaranteeFiles() {
        return guaranteeFiles;
    }

    public void setGuaranteeFiles(List<FileStorage> guaranteeFiles) {
        this.guaranteeFiles = guaranteeFiles;
    }

    public List<FileStorage> getBidWinningNotice() {
        return bidWinningNotice;
    }

    public void setBidWinningNotice(List<FileStorage> bidWinningNotice) {
        this.bidWinningNotice = bidWinningNotice;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Long getBusinessKey() {
        return businessKey;
    }

    public void setBusinessKey(Long businessKey) {
        this.businessKey = businessKey;
    }

    public Long getBusinessBasicInfoId() {
        return businessBasicInfoId;
    }

    public void setBusinessBasicInfoId(Long businessBasicInfoId) {
        this.businessBasicInfoId = businessBasicInfoId;
    }
    public Integer getTenderDocument() {
        return tenderDocument;
    }

    public void setTenderDocument(Integer tenderDocument) {
        this.tenderDocument = tenderDocument;
    }
    public Integer getBidGuaranteeMethod() {
        return bidGuaranteeMethod;
    }

    public void setBidGuaranteeMethod(Integer bidGuaranteeMethod) {
        this.bidGuaranteeMethod = bidGuaranteeMethod;
    }
    public String getTenderDescription() {
        return tenderDescription;
    }

    public void setTenderDescription(String tenderDescription) {
        this.tenderDescription = tenderDescription;
    }

    @Override
    public String toString() {
        return "BusinessGuaranteeMode{" +
            "businessBasicInfoId=" + businessBasicInfoId +
            ", tenderDocument=" + tenderDocument +
            ", bidGuaranteeMethod=" + bidGuaranteeMethod +
            ", tenderDescription=" + tenderDescription +
        "}";
    }
}
